Skip to main content
GET
/
captive
/
instances
/
{instanceId}
/
coupons
List valid coupons for an instance
curl --request GET \
  --url https://v1.api.altostrat.io/captive/instances/{instanceId}/coupons \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://v1.api.altostrat.io/captive/instances/{instanceId}/coupons"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://v1.api.altostrat.io/captive/instances/{instanceId}/coupons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "b1c2d3e4-f5a6-b7c8-d9e0-f1a2b3c4d5e6",
    "code": "8B7W3D",
    "expires_at": "2025-11-01T12:00:00Z",
    "redeemed_at": null,
    "created_at": "2025-10-29T12:00:00Z"
  }
]
{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}
{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}

Authorizations

Authorization
string
header
required

API Key authentication. Provide your token in the 'Authorization' header. Example: Authorization: Bearer <YOUR_TOKEN>

Path Parameters

instanceId
string<uuid>
required

The unique identifier for the captive portal instance.

Example:

"9a7f1b2c-3d4e-5f6a-7b8c-9d0e1f2a3b4c"

Response

A list of valid coupons.

id
string<uuid>

The unique identifier for the coupon.

Example:

"b1c2d3e4-f5a6-b7c8-d9e0-f1a2b3c4d5e6"

code
string

The 6-character alphanumeric code for the coupon.

Example:

"8B7W3D"

expires_at
string<date-time>

The timestamp when the coupon will expire and become invalid.

Example:

"2025-11-01T12:00:00Z"

redeemed_at
string<date-time> | null

The timestamp when the coupon was redeemed. Null if not yet redeemed.

Example:

null

created_at
string<date-time>

The timestamp when the coupon was created.

Example:

"2025-10-29T12:00:00Z"